from __future__ import absolute_import

from pymbolic.sympy_interface import SympyToPymbolicMapper, PymbolicToSympyMapper
from sympy import simplify


def simplify_pymbolic_expression(e):
    sympyexpr = PymbolicToSympyMapper()(e)
    simplified = simplify(sympyexpr)
    return SympyToPymbolicMapper()(simplified)
